#include "OgreVertex.h"

OgreVertex::OgreVertex(void)
{
	position = NULL;
	normal = NULL;
	tangent = NULL;
	binormal = NULL;
}

OgreVertex::~OgreVertex(void)
{
	delete position;
	delete normal;
	delete tangent;
	delete binormal;

	for(unsigned int i=0; i<texcoords.size(); i++)
		delete texcoords[i];
	texcoords.clear();
}
